Bug 134844 - Extend WebContent sandbox to allow some extra access for frameworks
Summary: Extend WebContent sandbox to allow some extra access for frameworks
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Oliver Hunt
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-07-11 14:32 PDT by Oliver Hunt
Modified: 2014-07-14 02:42 PDT (History)
3 users (show)

See Also:


Attachments
Patch (8.12 KB, patch)
2014-07-11 14:35 PDT, Oliver Hunt
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Hunt 2014-07-11 14:32:51 PDT
Extend WebContent sandbox to allow some extra access for frameworks
Comment 1 Oliver Hunt 2014-07-11 14:35:32 PDT
Created attachment 234781 [details]
Patch
Comment 2 WebKit Commit Bot 2014-07-12 11:34:10 PDT
Comment on attachment 234781 [details]
Patch

Clearing flags on attachment: 234781

Committed r171024: <http://trac.webkit.org/changeset/171024>
Comment 3 WebKit Commit Bot 2014-07-12 11:34:12 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2014-07-12 11:36:58 PDT
<rdar://problem/17652740>
Comment 5 Javier Fernandez 2014-07-14 02:42:19 PDT
This broke gtk+ build, but it has been fixed in bug #134859